infix using "C:\CDSPA\EXPORT\EXPORTEDFILES\CDFP71FLSP.dct"

label variable facil    "Facility identification"
label variable provno   "Provider serial number"
label variable cltype   "Client type"
label variable clno     "Client number"
label variable cprovcat "Provider category"
label variable cprovsex "Provider sex"
label variable serv     "Service where observation occured (only for STI)"
label variable cday     "Client day"
label variable cmonth   "Client month"
label variable cyear    "Client year"
label variable ointv    "Observer/interviewer code"
label variable c100     "Provider agreement"
label variable c101     "Client agreement"
label variable c102h    "Hour begin"
label variable c102m    "Minute begin"
label variable c103     "First observation for this provider of this type of client"
label variable ckeyer   "Keyer"
label variable clientwt "Client weight"
label variable of104    "Sex of client"
label variable of105    "Client history (female clients only)"
label variable of106    "Client history (all clients)"
label variable of107    "Physical exam"
label variable of108    "Partners & STIs"
label variable of109    "Questions & concerns"
label variable of110    "Privacy/ confidentiality"
label variable of111a   "Methods prescribed"
label variable of111b   "Methods provided in facility"
label variable of113    "Questions for pills/injections"
label variable of115    "Questions for condoms"
label variable of117    "Questions for IUDs"
label variable of119    "Questions for Implants"
label variable of121    "Questions for PA or SDM"
label variable of123    "Questions for LAM"
label variable of125    "Questions for vasectomy"
label variable of127    "Questions for female sterilization"
label variable of129    "Questions for emergency contraception"
label variable of130    "Additional provider actions"
label variable of131a   "Client has had previous contact with provider in this facility"
label variable of131b   "Client has been pregnant"
label variable of201    "Clinical procedure"
label variable of202    "Same provider as consult"
label variable of203    "Permission from new provider"
label variable of204    "Provider type"
label variable of205    "Sex of provider"
label variable of206    "Pelvic exam conducted"
label variable of207    "Actions before procedure"
label variable of208    "Actions during procedure"
label variable of209    "Actions after procedure"
label variable of210    "IUD insertion or removal conducted"
label variable of211    "Actions before procedure"
label variable of212    "Actions during procedure"
label variable of213    "Actions after procedure"
label variable of214    "Client-provider interaction"
label variable of215    "Injectable contraceptive given"
label variable of216    "Actions before procedure"
label variable of217    "Actions during procedure-injection of DEPOPROVERA"
label variable of217a   "Actions during procedure-injection of SAYANA PRESS"
label variable of218    "Actions after procedure"
label variable of219    "Needle/syringe provision"
label variable of220    "Implant inserted or removed"
label variable of221    "Actions before procedure"
label variable of222    "Actions during procedure"
label variable of223    "Actions after procedure"
label variable of224    "Client-provider interaction"
label variable of225    "Needle/ syringe provision"
label variable of301    "FP status of client at beginning of consult"
label variable of302    "Client's principal reason for visit"
label variable of303    "Outcome of visit for FP user"
label variable of304    "Outcome of visit for non-user"
label variable of305    "Client left with method"
label variable of306    "Provider wrote on card after consult"
label variable of307h   "Hour consult ended"
label variable of307m   "Minute consult ended"
label variable xfpday   "Client Day"
label variable xfpmonth "Client Month"
label variable xfpyear  "Client Year"
label variable xfpintv  "Observer/interviewer code"
label variable axfpcode "Client code"
label variable xf100    "Permission to continue"
label variable xf101h   "Time begins hour"
label variable xf101m   "Time begins minutes"
label variable xf102    "Sex of client"
label variable xf103    "Using FP when visited on day of survey"
label variable xf104    "Used FP in last 6 months"
label variable xf105    "Method using"
label variable xf106    "Provider asked about problems"
label variable xf107    "Client has had problems"
label variable xf108    "Client mentioned problem to provider"
label variable xf109    "Provider suggested action to resolve problem"
label variable xf110    "Outcome of visit"
label variable xf111    "Thought about switching before visit"
label variable xf112    "Thought about FP method to use before visit"
label variable xf113    "Method considered"
label variable xf114    "Provider discussed method in XF113"
label variable xf115    "FP methods provider discussed"
label variable xf116a   "FP method prescribed"
label variable xf116b   "FP method received"
label variable xf117_1  "Provider actions during consult"
label variable xf117_2  "Provider actions during consult"
label variable xf117_3  "Provider actions during consult"
label variable xf117_4  "Provider actions during consult"
label variable xf118a   "Question for pill"
label variable xf118b   "Question for male condom"
label variable xf118c   "Question for female condom"
label variable xf118d   "Question for IUCD"
label variable xf118e   "Question for Progestin injectable (Depo, 2-3 monthly)"
label variable xf118f   "Question for monthly injectable"
label variable xf118g   "Question for Implant"
label variable xf118h   "Question for rhythm"
label variable xf118i   "Question for vasectomy (male sterilization)"
label variable xf118j   "Question for tubal ligation (female sterilization)"
label variable xf118k   "Question for LAM"
label variable xf119    "Method protects against STIs/HIV"
label variable x201     "Time waited for provider"
label variable x202_01  "Problems encountered today"
label variable x202_02  "Problems encountered today"
label variable x202_03  "Problems encountered today"
label variable x202_04  "Problems encountered today"
label variable x202_05  "Problems encountered today"
label variable x202_06  "Problems encountered today"
label variable x202_07  "Problems encountered today"
label variable x202_08  "Problems encountered today"
label variable x202_09  "Problems encountered today"
label variable x202_10  "Problems encountered today"
label variable x202_11  "Problems encountered today"
label variable x203     "Part of prepayment plan"
label variable x204     "Fees for services for visit"
label variable x205     "Total fees"
label variable x206     "Nearest facillity to home"
label variable x207     "Main reason didn't go to nearest facility"
label variable x208     "Opinion of services given today"
label variable x209     "Would recommend to friend/family member"
label variable x301     "Relationship to child"
label variable x302     "Respondent's age"
label variable x303     "Ever attended school"
label variable x304     "Highest level attended"
label variable x305     "Literate"
label variable x306h    "End interview Hour"
label variable x306m    "End interview Minutes"
label variable ckeyer_o "Keyer - Central office"

#delimit ;
label define CPROVCAT
     1 "Mdecin Gnraliste"
     2 "Mdecin spcialiste"
     3 "Chirurgien dentiste"
     4 "Technicien bucco-dentaire"
     5 "Infirmier(e)"
     6 "Accoucheuse"
     7 "Sage femme"
     8 "Technicien de laboratoire/Biologiste medical"
     9 "Technicien de radiologie"
    10 "Kinsithrapeute"
    11 "Assistant en pharmacie"
    12 "Nutritionniste"
    13 "Technicien d' assainissement"
    14 "Administrateur gestionnaire"
    15 "Licienci en mdecine physique"
    16 "Pharmacien"
    95 "Sans qualification de technicien/aide infirmier"
    96 "Autre"
;
label define CPROVSEX
     1 "Masculin"
     2 "Fminin"
;
label define SERV    
     1 "CPN-Soins prenatals"
     2 "PF-Planning familial"
     3 "SC-Enfant malade"
;
label define CDAY    
    99 "Missing"
;
label define CMONTH  
     1 "Janvier"
     2 "Fvrier"
     3 "Mars"
     4 "Avril"
     5 "Mai"
     6 "Juin"
     7 "Juillet"
     8 "Aot"
     9 "Septembre"
    10 "Octobre"
    11 "Novembre"
    12 "Dcembre"
;
label define CYEAR   
  9999 "Missing"
;
label define OINTV   
  9999 "Missing"
;
label define C100    
     1 "Oui"
     2 "Non"
;
label define C101    
     1 "Oui"
     2 "Non"
;
label define C102H   
    99 "Missing"
;
label define C102M   
    99 "Missing"
;
label define C103    
     1 "Oui"
     2 "Non"
;
label define CKEYER  
  9999 "Missing"
;
label define OF104   
     1 "Masculin"
     2 "Fminin"
;
label define OF131A  
     1 "Oui"
     2 "Non"
     8 "NSP"
;
label define OF131B  
     1 "Oui"
     2 "Non"
     8 "NSP"
;
label define OF202   
     1 "Oui"
     2 "Non"
;
label define OF203   
     1 "Oui"
     2 "Non"
;
label define OF204   
     1 "Mdecin Gnraliste"
     2 "Mdecin spcialiste"
     3 "Chirurgien dentiste"
     4 "Technicien bucco-dentaire"
     5 "Infirmier(e)"
     6 "Accoucheuse"
     7 "Sage femme"
     8 "Technicien de  laboratoire / Biologiste medical"
     9 "Technicien de radiologie"
    10 "Kinsithrapeute"
    11 "Assistant en pharmacie"
    12 "Nutritionniste"
    13 "Technicien d' assainissement"
    14 "Administrateur gestionnaire"
    15 "Licienci en mdecine physique"
    16 "Pharmacien"
    95 "Sans qualification de technicien/aide infirmier"
    96 "Autre"
;
label define OF205   
     1 "Masculin"
     2 "Fminin"
;
label define OF206   
     1 "Oui"
     2 "Non"
;
label define OF215   
     1 "Oui"
     2 "Non"
;
label define OF219   
     1 "Fournies par la formation"
     2 "Fournies par la cliente"
     8 "NSP"
;
label define OF225   
     1 "Fournies par le service"
     2 "Fournies par la cliente"
     8 "NSP"
;
label define OF301   
     1 "Utilisatrice"
     2 "N' utilise pas. A utilis par le pass"
     3 "N' utilise pas. N' a jamais utilis"
     8 "Indetermin"
;
label define OF302   
     1 "Rapprovisionnement suivi routinier"
     2 "Discuter du probleme avec la mthode"
     3 "Desire changer la mthode (pas de probleme)"
     4 "Desire arreter PF (pas de probleme)"
     5 "Discuter autre probleme physique"
;
label define OF303   
     1 "A continu avec mthode actuelle"
     2 "A chang de mthode"
     3 "Changera de mthode non recu aujourd'hui, continue avec mthode actuelle"
     4 "Changera de mthode non recu aujourd'hui, arrete mthode actuelle"
     5 "A dcid d' arreter d' utiliser PF"
;
label define OF304   
     1 "Accepte de commencer une mthode"
     2 "N' a pas dcid sur une mthode"
;
label define OF305   
     1 "Oui, a quitt avec une mthode"
     2 "Non, n' est pas en stock"
     3 "Non, ncessite un rendez-vous"
     4 "Non, reporter pour raison de sant"
     5 "Non, statut incertain"
     6 "Autre"
;
label define OF306   
     1 "Oui"
     2 "Non"
     3 "Pas de carnet individuel"
     8 "NSP"
;
label define OF307H  
    99 "Missing"
;
label define OF307M  
    99 "Missing"
;
label define XFPDAY  
    99 "Missing"
;
label define XFPMONTH
     1 "Janvier"
     2 "Fvrier"
     3 "Mars"
     4 "Avril"
     5 "Mai"
     6 "Juin"
     7 "Juillet"
     8 "Aot"
     9 "Septembre"
    10 "Octobre"
    11 "Novembre"
    12 "Dcembre"
;
label define XFPYEAR 
  9999 "Missing"
;
label define XFPINTV 
  9999 "Missing"
;
label define XF100   
     1 "Oui, client accepte"
     2 "No, client refuse"
;
label define XF101H  
    99 "Missing"
;
label define XF101M  
    99 "Missing"
;
label define XF102   
     1 "Masculin"
     2 "Fminin"
;
label define XF103   
     1 "Oui"
     2 "Non"
;
label define XF104   
     1 "Oui"
     2 "Non"
;
label define XF106   
     1 "Oui"
     2 "Non"
;
label define XF107   
     1 "Oui"
     2 "Non"
;
label define XF108   
     1 "Oui"
     2 "Non"
;
label define XF109   
     1 "Oui"
     2 "Non"
;
label define XF110   
     1 "Continuer avec ou recommender meme mthode"
     2 "Changer de mthode"
     3 "Arreter utilisation (en raison de problemes)"
     4 "Arreter utilisation (personel - pas de problemes)"
;
label define XF111   
     1 "Oui"
     2 "Non"
;
label define XF112   
     1 "Oui"
     2 "Non"
;
label define XF114   
     1 "Oui"
     2 "Non"
;
label define XF117   
     1 "Oui"
     2 "Non"
     8 "NSP"
;
label define XF118A  
     1 "Une fois par jour"
     2 "Autre"
     8 "NSP"
;
label define XF118B  
     1 "Une fois"
     2 "Autre"
     8 "NSP"
;
label define XF118C  
     1 "Toute huile ou lubrifiant"
     2 "Autre"
     8 "NSP"
;
label define XF118D  
     1 "Vrifier le fil"
     2 "Autre"
     8 "NSP"
;
label define XF118E  
     1 "2-3 mois"
     2 "Autre"
     8 "NSP"
;
label define XF118F  
     1 "1 mois"
     2 "Autre"
     8 "NSP"
;
label define XF118G  
     1 "3-5 ans"
     2 "Autre"
     8 "NSP"
;
label define XF118I  
     1 "Protection immediate"
     2 "1-3 mois"
     3 "Seulement apres 3 mois"
     8 "NSP"
;
label define XF118J  
     1 "Protection immediate"
     2 "1-3 mois"
     3 "Seulement apres 3 mois"
     8 "NSP"
;
label define XF118K  
     1 "Oui"
     2 "Non"
     8 "NSP"
;
label define XF119   
     1 "Oui"
     2 "Non"
     8 "NSP"
;
label define X201    
     0 "A vu le prestataire immediatement"
   998 "NSP"
;
label define X202    
     1 "Grand probleme"
     2 "Probleme mineur"
     3 "Pas de problemes"
     8 "NSP"
;
label define X203    
     1 "Oui"
     2 "Non"
     8 "NSP"
;
label define X204    
     1 "Oui"
     2 "Non"
;
label define X205    
999998 "NSP"
;
label define X206    
     1 "Oui"
     2 "Non"
     8 "NSP"
;
label define X207    
     1 "Les heures de service pas commodes"
     2 "Mauvaise rputation"
     3 "N' aime pas le personel"
     4 "Pas de mdicaments"
     5 "Prfere rester dans l' anonyme"
     6 "C' est plus cher"
     7 "Rfrence/transfert"
     8 "Convention"
     9 "Mauvaise qualit des soins"
    10 "Prestations pas disponibles"
    96 "Autre"
    98 "NSP"
;
label define X208    
     1 "Trs satisfaite"
     2 "Plus ou moins satisfaite"
     3 "Ne suis pas satisfaite"
;
label define X209    
     1 "Oui"
     2 "Non"
     8 "NSP"
;
label define X301    
     1 "Mre"
     2 "Pre"
     3 "Sibling"
     4 "Tante/Oncle"
     6 "Autre"
     7 "Grand-mre"
;
label define X302    
    98 "NSP"
;
label define X303    
     1 "Oui"
     2 "Non"
;
label define X304    
     1 "Primaire"
     2 "Secondaire"
     3 "Suprieur/Universitaire"
;
label define X305    
     1 "Oui, lire et ecrire"
     2 "Oui, lire seulement"
     3 "Non"
;
label define X306H   
    99 "Missing"
;
label define X306M   
    99 "Missing"
;

#delimit cr
label values cprovcat CPROVCAT
label values cprovsex CPROVSEX
label values serv     SERV    
label values cmonth   CMONTH  
label values c100     C100    
label values c101     C101    
label values c103     C103    
label values of104    OF104   
label values of131a   OF131A  
label values of131b   OF131B  
label values of202    OF202   
label values of203    OF203   
label values of204    OF204   
label values of205    OF205   
label values of206    OF206   
label values of215    OF215   
label values of219    OF219   
label values of225    OF225   
label values of301    OF301   
label values of302    OF302   
label values of303    OF303   
label values of304    OF304   
label values of305    OF305   
label values of306    OF306   
label values xfpmonth XFPMONTH
label values xf100    XF100   
label values xf102    XF102   
label values xf103    XF103   
label values xf104    XF104   
label values xf106    XF106   
label values xf107    XF107   
label values xf108    XF108   
label values xf109    XF109   
label values xf110    XF110   
label values xf111    XF111   
label values xf112    XF112   
label values xf114    XF114   
label values xf117_1  XF117   
label values xf117_2  XF117   
label values xf117_3  XF117   
label values xf117_4  XF117   
label values xf118a   XF118A  
label values xf118b   XF118B  
label values xf118c   XF118C  
label values xf118d   XF118D  
label values xf118e   XF118E  
label values xf118f   XF118F  
label values xf118g   XF118G  
label values xf118i   XF118I  
label values xf118j   XF118J  
label values xf118k   XF118K  
label values xf119    XF119   
label values x201     X201    
label values x202_01  X202    
label values x202_02  X202    
label values x202_03  X202    
label values x202_04  X202    
label values x202_05  X202    
label values x202_06  X202    
label values x202_07  X202    
label values x202_08  X202    
label values x202_09  X202    
label values x202_10  X202    
label values x202_11  X202    
label values x203     X203    
label values x204     X204    
label values x205     X205    
label values x206     X206    
label values x207     X207    
label values x208     X208    
label values x209     X209    
label values x301     X301    
label values x302     X302    
label values x303     X303    
label values x304     X304    
label values x305     X305    
